import request from '@/utils/request'

// 查询方案管理列表
export function listProPlan(query) {
  return request({
    url: '/system/proPlan/list',
    method: 'get',
    params: query
  })
}// 查询方案管理列表
export function listProPlan2(query) {
  return request({
    url: '/system/proPlan/list2',
    method: 'get',
    params: query
  })
}

// 查询超期/临期项目列表
export function listProPlanOverdue() {
  return request({
    url: '/system/proPlan/overdue',
    method: 'get'
  })
}

// 查询临期项目列表
export function listProPlanExpirys() {
  return request({
    url: '/system/proPlan/expiryProjects',
    method: 'get'
  })
}

// 查询方案管理详细
export function getProPlan(id) {
  return request({
    url: '/system/proPlan/' + id,
    method: 'get'
  })
}

// 新增方案管理
export function addProPlan(data) {
  return request({
    url: '/system/proPlan',
    method: 'post',
    data: data
  })
}

// 修改方案管理
export function updateProPlan(data) {
  return request({
    url: '/system/proPlan',
    method: 'put',
    data: data
  })
}

// 删除方案管理
export function delProPlan(id) {
  return request({
    url: '/system/proPlan/' + id,
    method: 'delete'
  })
}

// 设计人项目汇总（周/月/年）
export function getDesignerSummary() {
  return request({
    url: '/system/proPlan/summary/designer',
    method: 'get'
  })
}
